* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: 'Montserrat', sans-serif;
  color: #FFF;
}


:root {
  --bg: #000;
  --item-bg: rgba(255, 255, 255, 0.05);
  --text: #FFF;
  --font-size: 16px;
  --border: rgba(255, 255, 255, 0.10);
  --border-atv: rgba(255, 255, 255, 0.30);
  --stale-bg: #000;
}


span {
  font-size: 16px;
}

html {
  margin: 0;
  height: 100%;
}


body {
  display: flex;
  width: 100%;
  flex-direction: column;
  min-height: 0;
  margin: 0;
  height: 100%;
}


.leaks {
  margin: 0;
  height: 100%;
  display: grid;
  grid-template-rows: auto auto 1fr;
  background-repeat: no-repeat;
  background-attachment: fixed;
  padding: 1rem max(10%, 24px);
  gap: 1rem;
}

.vanta {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  pointer-events: none;
}

h2 {
  margin: 0;
}

.bar {
  width: 100%;
  display: flex;
  gap: 1rem;
  align-items: center;
  line-height: 1;
}

.bar-left {
  width: 100%;
  display: flex;
  gap: .5rem;
  line-height: 1;
}

.logo {
  display: flex;
  line-height: 1;
  gap: .3rem;
  align-items: center;
}

.link {
  margin-left: auto;
}

.logo img {
  height: 1.5em;
}

.bar-right {
  width: max-content;
  border-radius: 25px;
  display: flex;
  justify-content: flex-end;
  gap: .5rem;
  line-height: 1;
  padding: 1rem;
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(40px);
  border: 2px solid rgba(255, 255, 255, 0.1);
}

.icons {
  display: block;
  font-family: 'Material Symbols Rounded';
  line-height: 1;
  font-variation-settings:
  'FILL' 1,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}

.search-container {
  width: 100%;
  border-radius: 25px;
  border: 2px solid rgba(255, 255, 255, 0.1);
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(40px);
  display: flex;
  align-items: center;
  padding: 1rem;
  gap: 1rem;
}

.search {
  background: none;
  border: none;
  width: 100%;
}

.search:focus {
  outline: none;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(150px,1fr));
  gap: 1rem;
}

.game-card {
  text-align: center;
  background: rgba(0, 0, 0, 0.70);
  backdrop-filter: blur(40px);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 0.10);
  overflow: hidden;
}

.game-card img {
  aspect-ratio: 1 / 1;
  width: 100%;
  object-fit: cover;
}

.game-overlay {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.2s ease;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 1rem;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  text-align: left;
  height: 100%;
  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.7),
    transparent
  );
}

.game-card:hover .game-overlay {
  opacity: 1;
  visibility: visible;
}

.immersive {
  width: 100%;
  display: grid;
  background: var(--item-bg);
  backdrop-filter: blur(10px);
  border-top: 2px solid var(--border);
  align-items: center;
  padding: 1rem max(10%, 1rem);
}

.nv-left,
.nv-center,
.nv-right,
.back-btn {
  background: none;
  backdrop-filter: blur(10px);
  border: 2px solid var(--border);
  border-radius: 50px;
  display: flex;
  padding: 1rem;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.back-btn {
  background: var(--item-bg);
}

.nv-left,
.nv-center,
.nv-right {
  height: max-content;
}

.nv-left {
  justify-self: start;
}

.nv-center {
  justify-self: center;
}

.nv-right {
  justify-self: end;
}

.player {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  width: 100%;
  justify-content: center;
  align-items: center;
}

.player-frame {
  width: 100%;
  height: 100%;
  background: var(--item-bg);
  border: none;
  backdrop-filter: blur(10px);
}

.nv-item {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  text-decoration: none;
  color: var(--text);
  transition: 1.2s ease;
  font-size: var(--font-size);
}

.nv-text {
  text-decoration: none;
  color: var(--text);
  font-size: var(--font-size);
}

.nv-item:hover {
  transform: scale(1.2);
  background: var(--item-bg);
  border-radius: 50%;
  box-shadow: 0 0 0 8px var(--item-bg);
}

.nv-item.active {
  background: var(--item-bg);
  border-radius: 50%;
  box-shadow: 0 0 0 8px var(--item-bg);
}

.hidden {
  display: none;
}
